class AwsrolemappingsController < ApplicationController

  before_action :set_remote_user
  before_action :set_paper_trail_whodunnit

  # GET /awsrolemappings
  # GET /awsrolemappings.json
  def index
    @awsrolemappings = Awsrolemapping.all
  end

  # GET /awsrolemappings/1
  # GET /awsrolemappings/1.json
  def show
  end

  # GET /awsrolemappings/new
  def new
    @awsrolemapping = Awsrolemapping.new
  end

  # GET /awsrolemappings/1/edit
  def edit
  end

  # POST /awsrolemappings
  # POST /awsrolemappings.json
  def create
    @awsrolemapping = Awsrolemapping.new(awsrolemapping_params)

    respond_to do |format|
      if @awsrolemapping.save
        format.html { redirect_to @awsrolemapping, notice: 'AWS role mapping was successfully created.' }
        format.json { render :show, status: :created, location: @awsrolemapping }
      else
        format.html { render :new }
        format.json { render json: @awsrolemapping.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /awsrolemapping/1
  # PATCH/PUT /awsrolemapping/1.json
  def update
    respond_to do |format|
      if @awsrolemapping.update(awsrolemapping_params)
        format.html { redirect_to @awsrolemapping, notice: 'awsrolemapping was successfully updated.' }
        format.json { render :show, status: :ok, location: @awsrolemapping }
      else
        format.html { render :edit }
        format.json { render json: @awsrolemapping.errors, status: :unprocessable_entity }
      end
    end
  end

  private

    # Never trust parameters from the scary internet, only allow the white list through.
    def awsrolemapping_params
      params[:awsrolemapping]
    end

end
