class ChangeEntityIdColumnName < ActiveRecord::Migration
  def change
    # 1. Drop the entityid index
    remove_index :spconfigs, column: :entityID

    # 2. Rename column
    rename_column :spconfigs, :entityID, :entityid

    # 3. Add index
    add_index :spconfigs, :entityid, :unique => true
  end
end
