require 'test_helper'

class IdpsControllerTest < ActionController::TestCase
  setup do
    @idp = idps(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:idps)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create idp" do
    assert_difference('Idp.count') do
      post :create, idp: {  }
    end

    assert_redirected_to idp_path(assigns(:idp))
  end

  test "should show idp" do
    get :show, id: @idp
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @idp
    assert_response :success
  end

  test "should update idp" do
    patch :update, id: @idp, idp: {  }
    assert_redirected_to idp_path(assigns(:idp))
  end

  test "should destroy idp" do
    assert_difference('Idp.count', -1) do
      delete :destroy, id: @idp
    end

    assert_redirected_to idps_path
  end
end
