require 'test_helper'

class SpconfigsControllerTest < ActionController::TestCase
  setup do
    @spconfig = spconfigs(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:spconfigs)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create spconfig" do
    assert_difference('Spconfig.count') do
      post :create, spconfig: { contact_email: @spconfig.contact_email, entityId: @spconfig.entityId, metadata: @spconfig.metadata }
    end

    assert_redirected_to spconfig_path(assigns(:spconfig))
  end

  test "should show spconfig" do
    get :show, id: @spconfig
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @spconfig
    assert_response :success
  end

  test "should update spconfig" do
    patch :update, id: @spconfig, spconfig: { contact_email: @spconfig.contact_email, entityId: @spconfig.entityId, metadata: @spconfig.metadata }
    assert_redirected_to spconfig_path(assigns(:spconfig))
  end

  test "should destroy spconfig" do
    assert_difference('Spconfig.count', -1) do
      delete :destroy, id: @spconfig
    end

    assert_redirected_to spconfigs_path
  end
end
