class AdminConfigurationsController < ApplicationController

  before_action :set_remote_user
  before_action :set_roles, :set_page_title, :set_breadcrumbs_admin_configurations
  before_action :require_admin

  # GET /admin_configurations/ae
  def ae
    @breadcrumbs.push(
      ["Auto-entitlement export", ""]
    )
    @ae_enabled = AdminConfiguration.ae_enabled?()
  end

  # GET /admin_configurations/aetoggle
  def aetoggle
    AdminConfiguration.ae_toggle()
    redirect_to :controller => 'admin_configurations', :action => 'ae'
  end

  def set_breadcrumbs_admin_configurations()
    @breadcrumbs = Utility.first_level_breadcrumb
    @breadcrumbs.push(['Admin Configurations', '/admins'])
    @model_name = 'admin_configuration'
  end

  def require_admin()
    if (!@is_admin) then
      redirect_to :controller => 'errors', :action => 'forbidden'
    end
  end

end
