class AwsowninggroupsController < ApplicationController

  before_action :set_awsowninggroup, only: [:show, :edit, :update, :destroy]

  # POST /awsowninggroups
  # POST /awsowninggroups.json
  def create
    @awsowninggroup = Awsowninggroup.new(awsowninggroup_params)

    respond_to do |format|
      if @awsowninggroup.save
        format.html { redirect_to @awsowninggroup, notice: 'Awsowninggroup was successfully created.' }
        format.json { render :show, status: :created, location: @awsowninggroup }
      else
        format.html { render :new }
        format.json { render json: @awsowninggroup.errors, status: :unprocessable_entity }
      end
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_awsowninggroup
      @group = Awsowningroup.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def awsowninggroup_params
      params[:awsowninggroup]
    end


end
