class CreateAdminConfigurations < ActiveRecord::Migration[6.0]
  def change
    create_table :admin_configurations do |t|
      t.string :name, null: false
      t.string :value, null: false
      t.text :description
      t.timestamps
      t.index ["name"], name: "index_adminconfigs_on_name", unique: true
    end
  end
end
