require 'utility'

# Get all the spconfigs

spconfigs = Spconfig.all()

# Loop through them populating the certs

spconfigs.each do |spconfig|
  puts "processing #{spconfig.entityid}"

  puts "delete any existing certificates"
  spconfig.certificates.delete_all

  certs = Utility.get_Certificates(spconfig.metadata)

  puts " found #{certs.size} certificates"

  # Iterate over the certificates found
  certs.each do |cert|
    use = cert[0]
    pem = cert[1]

    puts "   adding a #{use} certificate"
    new_cert     = Utility.cert_string_to_certificate(pem)
    new_cert.use = use
    spconfig.certificates << new_cert

    puts "   added cert"
  end

end
